## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DoubleSupport Class Reference

`#include <DoubleSupport.hpp>`

Collaboration diagram for DoubleSupport:

[legend]
List of all members.

## Static Public Methods

- bool isNaN (double theNumber)
    Determine if target is not a number. More...
- bool isPositiveInfinity (double theNumber)
    Determine if target is positive infinity. More...
- bool isNegativeInfinity (double theNumber)
    Determine if target is negative infinity. More...
- bool isPositiveZero (double theNumber)
    Determine if target is positive 0. More...
- bool isNegativeZero (double theNumber)
    Determine if target is negative 0. More...
- double getNaN ()
    Double value that represents "not a number". More...
- double getPositiveInfinity ()
    Double value that represents positive infinity. More...
- double getNegativeInfinity ()
    Double value that represents negative infinity. More...
- bool equal (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754. More...
- bool notEqual (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754. More...
- bool lessThan (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754. More...
- bool lessThanOrEqual (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754. More...
- bool greaterThan (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754. More...
- bool greaterThanOrEqual (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754. More...
- double add (double theLHS, double theRHS)
    Add two double values, taking into account the fact that we must support IEEE 754. More...
- double subtract (double theLHS, double theRHS)
    Subtract two double values, taking into account the fact that we must support IEEE 754. More...
- double multiply (double theLHS, double theRHS)
    Multiply two double values, taking into account the fact that we must support IEEE 754. More...
- double divide (double theLHS, double theRHS)
    Divide two double values, taking into account the fact that we must support IEEE 754. More...
- double modulus (double theLHS, double theRHS)
    Determine the modulus two double values, taking into account the fact that we must support IEEE 754. More...
- double negative (double theDouble)
    Determine the negative of a double value, taking into account the fact that we must support IEEE 754. More...
- bool isValid (const XalanDOMString &theString)
    Determine whether or not a string contains a valid floating point number. More...
- bool isValid (const XalanDOMChar *theString)
    Determine whether or not a string contains a valid floating point number. More...
- double toDouble (const XalanDOMString &theString)
    Convert a string to a double value. More...
- double toDouble (const XalanDOMChar *theString)
    Convert a string to a double value. More...
- double round (double theValue)
    Round a number according to the XPath rules. More...
- double ceiling (double theValue)
    Returns the ceiling of a number according to the XPath rules. More...
- double floor (double theValue)
    Returns the floor of a number according to the XPath rules. More...

## Member Function Documentation

double DoubleSupport::add ( | double theLHS,
| double theRHS )`[static]`

  | Add two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to add
  theRHS | a number to add
Returns: the result of the addition

double DoubleSupport::ceiling ( | double theValue )`[static]`

  | Returns the ceiling of a number according to the XPath rules. Parameters:
  theValue | The value to round.
Returns: The result of the rounding

double DoubleSupport::divide ( | double theLHS,
| double theRHS )`[static]`

  | Divide two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to divide
  theRHS | a number to divide
Returns: the result of the division

bool DoubleSupport::equal ( | double theLHS,
| double theRHS )`[static]`

  | Compare two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to compare
  theRHS | a number to compare
Returns: the result of the compare

double DoubleSupport::floor ( | double theValue )`[static]`

  | Returns the floor of a number according to the XPath rules. Parameters:
  theValue | The value to round.
Returns: The result of the rounding

double DoubleSupport::getNaN ( | )`[static]`

| Double value that represents "not a number". Returns: "not a number" value

double DoubleSupport::getNegativeInfinity ( | )`[static]`

| Double value that represents negative infinity. Returns: negative infinity value

double DoubleSupport::getPositiveInfinity ( | )`[static]`

| Double value that represents positive infinity. Returns: positive infinity value

bool DoubleSupport::greaterThan ( | double theLHS,
| double theRHS )`[static]`

  | Compare two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to compare
  theRHS | a number to compare
Returns: the result of the compare

bool DoubleSupport::greaterThanOrEqual ( | double theLHS,
| double theRHS )`[static]`

  | Compare two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to compare
  theRHS | a number to compare
Returns: the result of the compare

bool DoubleSupport::isNaN ( | double theNumber )`[static]`

  | Determine if target is not a number. Parameters:
  theNumber | target number
Returns: true if target represents the "not a number" value

bool DoubleSupport::isNegativeInfinity ( | double theNumber )`[static]`

  | Determine if target is negative infinity. Parameters:
  theNumber | target number
Returns: true if target represents the value for negative infinity

bool DoubleSupport::isNegativeZero ( | double theNumber )`[static]`

  | Determine if target is negative 0. Parameters:
  theNumber | target number
Returns: true if target represents the value for negative 0

bool DoubleSupport::isPositiveInfinity ( | double theNumber )`[static]`

  | Determine if target is positive infinity. Parameters:
  theNumber | target number
Returns: true if target represents the value for positive infinity

bool DoubleSupport::isPositiveZero ( | double theNumber )`[static]`

  | Determine if target is positive 0. Parameters:
  theNumber | target number
Returns: true if target represents the value for positive 0.

bool DoubleSupport::isValid ( | const XalanDOMChar * theString )`[static]`

  | Determine whether or not a string contains a valid floating point number. Parameters:
  theString | The string to check.
Returns: true if the string is valid, false if not.

bool DoubleSupport::isValid ( | const XalanDOMString & theString )`[static]`

  | Determine whether or not a string contains a valid floating point number. Parameters:
  theString | The string to check.
Returns: true if the string is valid, false if not.

bool DoubleSupport::lessThan ( | double theLHS,
| double theRHS )`[static]`

  | Compare two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to compare
  theRHS | a number to compare
Returns: the result of the compare

bool DoubleSupport::lessThanOrEqual ( | double theLHS,
| double theRHS )`[static]`

  | Compare two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to compare
  theRHS | a number to compare
Returns: the result of the compare

double DoubleSupport::modulus ( | double theLHS,
| double theRHS )`[static]`

  | Determine the modulus two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to divide
  theRHS | a number to divide
Returns: the result of the modulus

double DoubleSupport::multiply ( | double theLHS,
| double theRHS )`[static]`

  | Multiply two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to multiply
  theRHS | a number to multiply
Returns: the result of the multiplication

double DoubleSupport::negative ( | double theDouble )`[static]`

  | Determine the negative of a double value, taking into account the fact that we must support IEEE 754. Parameters:
  theDouble | a number to negate
Returns: the result of the negation

bool DoubleSupport::notEqual ( | double theLHS,
| double theRHS )`[static]`

  | Compare two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to compare
  theRHS | a number to compare
Returns: the result of the compare

double DoubleSupport::round ( | double theValue )`[static]`

  | Round a number according to the XPath rules. Parameters:
  theValue | The value to round.
Returns: The result of the rounding

double DoubleSupport::subtract ( | double theLHS,
| double theRHS )`[static]`

  | Subtract two double values, taking into account the fact that we must support IEEE 754. Parameters:
  theLHS | a number to subtract
  theRHS | a number to subtract
Returns: the result of the subtraction

double DoubleSupport::toDouble ( | const XalanDOMChar * theString )`[static]`

  | Convert a string to a double value. Returns NaN if the string is not a valid floating point number. Parameters:
  theString | The string to convert.
Returns: The result of the conversion

double DoubleSupport::toDouble ( | const XalanDOMString & theString )`[static]`

  | Convert a string to a double value. Returns NaN if the string is not a valid floating point number. Parameters:
  theString | The string to convert.
Returns: The result of the conversion

The documentation for this class was generated from the following file:

- DoubleSupport.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.